package rpcfetch

import (
	"net"
	"time"
)

func (d *Client) dial() error {
	if d.dialed {
		panic("attempted to dial on open client")
	}

	if conn, err := net.DialTimeout("unix", sockPath()+"/discord-ipc-0", 5*time.Second); err != nil {
		return err
	} else {
		d.conn = conn
		d.dialed = true
	}
	return nil
}
